<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <View
        android:id="@+id/top"
        android:layout_width="match_parent"
        android:layout_height="1px" />

    <TextView
        android:id="@+id/v_line1"
        android:layout_width="2dp"
        android:layout_height="match_parent"
        android:layout_alignTop="@id/top"
        android:layout_alignBottom="@id/tv_circle"
        android:layout_marginLeft="7dp"
        android:background="@color/colorTheme" />

    <TextView
        android:id="@+id/v_line2"
        android:layout_width="2dp"
        android:layout_height="match_parent"
        android:layout_alignTop="@id/tv_circle"
        android:layout_alignBottom="@id/line"
        android:layout_marginLeft="7dp"
        android:background="@color/colorTheme" />

    <TextView
        android:id="@+id/tv_circle"
        android:layout_width="16dp"
        android:layout_height="16dp"
        android:layout_marginTop="12dp"
        android:background="@drawable/accent_circle_bg" />

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:layout_marginTop="8dp"
        android:layout_toRightOf="@id/tv_circle"
        android:text="审批流程"
        android:textColor="@color/colorText55"
        android:textSize="?attr/textSizeXX" />


    <TextView
        android:id="@+id/tv_person"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_marginTop="8dp"
        android:text="用户名"
        android:textColor="@color/colorText88"
        android:textSize="?attr/textSizeXX" />

    <TextView
        android:id="@+id/tv_status"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/tv_person"
        android:layout_alignRight="@id/tv_person"
        android:layout_marginTop="8dp"
        android:text="待审批"
        android:textColor="@color/colorText88"
        android:textSize="?attr/textSizeX" />

    <LinearLayout
        android:id="@+id/layout_option"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/tv_status"
        android:visibility="gone"
        android:layout_alignParentRight="true"
        android:layout_marginTop="8dp"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_no"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="8dp"
            android:background="@drawable/red_radius_bg"
            android:paddingLeft="16dp"
            android:paddingTop="4dp"
            android:paddingRight="16dp"
            android:paddingBottom="4dp"
            android:text="审批不通过"
            android:textColor="@android:color/white"
            android:textSize="?attr/textSizeXX" />

        <TextView
            android:id="@+id/tv_pass"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/accent_radius_bg"
            android:paddingLeft="16dp"
            android:paddingTop="4dp"
            android:paddingRight="16dp"
            android:paddingBottom="4dp"
            android:text="审批通过"
            android:textColor="@android:color/white"
            android:textSize="?attr/textSizeXX" />
    </LinearLayout>

    <TextView
        android:id="@+id/tv_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/layout_option"
        android:layout_alignRight="@id/tv_person"
        android:layout_marginTop="8dp"
        android:layout_marginBottom="8dp"
        android:text="2020-12-12 12:12:00"
        android:textColor="@color/colorText99"
        android:textSize="?attr/textSizeX" />

    <TextView
        android:id="@+id/line"
        android:layout_width="match_parent"
        android:layout_height="1px"
        android:layout_below="@id/tv_time"
        android:layout_marginLeft="40dp"
        android:background="@color/colorLine" />

</RelativeLayout>